CRMchat APIBeta
Telegram APIMessages

messages.getOutboxReadDate

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getOutboxReadDate

Get the exact read date of one of our messages, sent to a private chat with another user. Can be only done for private outgoing messages not older than appConfig.pm_read_date_expire_period ». If the peer's RawUserFull.read_dates_private flag is set, we will not be able to fetch the exact read date of messages we send to them, and a USER_PRIVACY_RESTRICTED RPC error will be emitted. The exact read date of messages might still be unavailable for other reasons, see RawGlobalPrivacySettings for more info. To set RawUserFull.read_dates_private for ourselves invoke account.RawSetGlobalPrivacySettingsRequest, setting the settings.hide_read_marks flag.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get the exact read date of one of our messages, sent to a private chat with another user. Can be only done for private outgoing messages not older than appConfig.pm_read_date_expire_period ». If the peer's RawUserFull.read_dates_private flag is set, we will not be able to fetch the exact read date of messages we send to them, and a USER_PRIVACY_RESTRICTED RPC error will be emitted. The exact read date of messages might still be unavailable for other reasons, see RawGlobalPrivacySettings for more info. To set RawUserFull.read_dates_private for ourselves invoke account.RawSetGlobalPrivacySettingsRequest, setting the settings.hide_read_marks flag.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getOutboxReadDate" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "msgId": 0    }  }'
{  "result": {    "_": "outboxReadDate",    "date": 0  }}